Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/autogen.sh
diff options
context:
space:
mode:
authorMarco Pesenti Gritti <marco@localhost.localdomain>2006-06-24 02:16:23 (GMT)
committer Marco Pesenti Gritti <marco@localhost.localdomain>2006-06-24 02:16:23 (GMT)
commit1d570fa9a25a9a89298ebc94f79dca7d925cd398 (patch)
tree582d72a6aa1bfa093d78aa5ce063795512f7aa32 /autogen.sh
parent0ac3d157fbaaab1ec5a0bf3ab48df24efdb371ec (diff)
Use gnome autogen, it's required by sugar anyway
Diffstat (limited to 'autogen.sh')
-rwxr-xr-xautogen.sh72
1 files changed, 9 insertions, 63 deletions
diff --git a/autogen.sh b/autogen.sh
index 7398399..08c394c 100755
--- a/autogen.sh
+++ b/autogen.sh
@@ -4,71 +4,17 @@
srcdir=`dirname $0`
test -z "$srcdir" && srcdir=.
-ORIGDIR=`pwd`
-cd $srcdir
+PKG_NAME="artwork"
-PROJECT=olpc-artwork
-TEST_TYPE=-d
-FILE=art
-
-DIE=0
-
-(autoconf --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have autoconf installed to compile $PROJECT."
- echo "Download the appropriate package for your distribution,"
- echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
- DIE=1
-}
-
-AUTOMAKE=automake-1.9
-ACLOCAL=aclocal-1.9
-
-($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
- AUTOMAKE=automake
- ACLOCAL=aclocal
+(test -f $srcdir/README) || {
+ echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+ echo " top-level $PKG_NAME directory"
+ exit 1
}
-($AUTOMAKE --version) < /dev/null > /dev/null 2>&1 || {
- echo
- echo "You must have automake installed to compile $PROJECT."
- echo "Get ftp://ftp.cygnus.com/pub/home/tromey/automake-1.2d.tar.gz"
- echo "(or a newer version if it is available)"
- DIE=1
+which gnome-autogen.sh || {
+ echo "You need to install gnome-common from the GNOME CVS"
+ exit 1
}
-if test "$DIE" -eq 1; then
- exit 1
-fi
-
-test $TEST_TYPE $FILE || {
- echo "You must run this script in the top-level $PROJECT directory"
- exit 1
-}
-
-if test -z "$*"; then
- echo "I am going to run ./configure with no arguments - if you wish "
- echo "to pass any to it, please specify them on the $0 command line."
-fi
-
-echo $ACLOCAL $ACLOCAL_FLAGS
-$ACLOCAL $ACLOCAL_FLAGS
-
-# optionally feature autoheader
-(autoheader --version) < /dev/null > /dev/null 2>&1 && autoheader
-
-glib-gettextize --force --copy
-
-intltoolize --force --copy --automake
-
-$AUTOMAKE -a $am_opt
-
-autoconf || echo "autoconf failed - version 2.5x is probably required"
-libtoolize -f
-
-cd $ORIGDIR
-
-$srcdir/configure --enable-maintainer-mode "$@"
-
-echo
-echo "Now type 'make' to compile $PROJECT."
+REQUIRED_AUTOMAKE_VERSION=1.9 USE_GNOME2_MACROS=1 . gnome-autogen.sh